[arch-commits] Commit in rarian/repos (4 files)

Pierre Schmitz pierre at archlinux.org
Mon Jul 28 14:09:59 EDT 2008


    Date: Monday, July 28, 2008 @ 14:09:59
  Author: pierre
Revision: 7233

Merged revisions 2-7232 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/rarian/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fr, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r7227 | pierre | 2008-07-28 17:30:37 +0000 (Mo, 28 Jul 2008) | 2 lines
  
  upgpkg: rarian 0.8.0-2
      fixing segfaults (FS#11022)
........

Added:
  rarian/repos/extra-x86_64/info-segfault.patch
    (from rev 7227, rarian/trunk/info-segfault.patch)
  rarian/repos/extra-x86_64/user-segfault.patch
    (from rev 7227, rarian/trunk/user-segfault.patch)
Modified:
  rarian/repos/extra-x86_64/	(properties)
  rarian/repos/extra-x86_64/PKGBUILD

---------------------+
 PKGBUILD            |   11 ++++++++---
 info-segfault.patch |   14 ++++++++++++++
 user-segfault.patch |   14 ++++++++++++++
 3 files changed, 36 insertions(+), 3 deletions(-)


Property changes on: rarian/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /rarian/trunk:1
   + /rarian/trunk:1-7232

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-28 18:05:54 UTC (rev 7232)
+++ extra-x86_64/PKGBUILD	2008-07-28 18:09:59 UTC (rev 7233)
@@ -3,7 +3,7 @@
 
 pkgname=rarian
 pkgver=0.8.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Documentation meta-data library, designed as a replacement for Scrollkeeper."
 arch=('i686' 'x86_64')
 url="http://rarian.freedesktop.org/"
@@ -14,11 +14,16 @@
 provides=('scrollkeeper')
 replaces=('scrollkeeper')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.8/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('67e2d3ab27edcebdae9b85733712805e')
+source=("http://ftp.gnome.org/pub/gnome/sources/${pkgname}/0.8/${pkgname}-${pkgver}.tar.bz2"
+        'info-segfault.patch' 'user-segfault.patch')
+md5sums=('67e2d3ab27edcebdae9b85733712805e'
+         '322bdbac3a8964e743ce465214a35c07'
+         '457e9827197009cfa360911fe49a5ad7')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -p0 -i ${srcdir}/info-segfault.patch || return 1
+  patch -p0 -i ${srcdir}/user-segfault.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
      --localstatedir=/var --disable-static || return 1
   make || return 1

Copied: rarian/repos/extra-x86_64/info-segfault.patch (from rev 7227, rarian/trunk/info-segfault.patch)
===================================================================
--- extra-x86_64/info-segfault.patch	                        (rev 0)
+++ extra-x86_64/info-segfault.patch	2008-07-28 18:09:59 UTC (rev 7233)
@@ -0,0 +1,14 @@
+--- librarian/rarian-info.c	2008-03-30 12:43:17.000000000 -0700
++++ librarian/rarian-info.c	2008-03-30 12:44:22.000000000 -0700
+@@ -668,8 +668,10 @@ rrn_info_find_from_uri (char *uri, char 
+     l = l->next;
+   }
+   
+-  return best_result->reg;
++  if (best_result)
++     return best_result->reg;
+ 
++  return NULL;
+ }
+ 
+ void 

Copied: rarian/repos/extra-x86_64/user-segfault.patch (from rev 7227, rarian/trunk/user-segfault.patch)
===================================================================
--- extra-x86_64/user-segfault.patch	                        (rev 0)
+++ extra-x86_64/user-segfault.patch	2008-07-28 18:09:59 UTC (rev 7233)
@@ -0,0 +1,14 @@
+--- util/rarian-sk-get-cl.cpp~	2008-07-28 19:23:28.000000000 +0200
++++ util/rarian-sk-get-cl.cpp	2008-07-28 19:23:28.000000000 +0200
+@@ -160,6 +160,11 @@
+ {
+   char *filename = NULL;
+   char *user = getenv ("USERNAME");
++
++  if (user == NULL) {
++    user = getenv ("USER");
++  }
++
+   char *basepath = NULL;
+   int i=0;
+   int last = 0;





More information about the arch-commits mailing list